org.apache.maven.project.interpolation

## Class StringSearchModelInterpolator

- java.lang.Object
- - AbstractLogEnabled
  - - org.apache.maven.project.interpolation.AbstractStringBasedModelInterpolator
    - - org.apache.maven.project.interpolation.StringSearchModelInterpolator

All Implemented Interfaces:
  ModelInterpolator

Direct Known Subclasses:
  ReflectionConfigurationInterpolator

    public class StringSearchModelInterpolator
    extends AbstractStringBasedModelInterpolator

### Field Summary

### Fields inherited from interface org.apache.maven.project.interpolation.ModelInterpolator

`BUILD_TIMESTAMP_FORMAT_PROPERTY, DEFAULT_BUILD_TIMESTAMP_FORMAT, ROLE`

### Constructor Summary

Constructors
Constructor and Description
`StringSearchModelInterpolator()`
`StringSearchModelInterpolator(PathTranslator pathTranslator)`

### Method Summary

Methods
`protected Interpolator` `createInterpolator()`
`Model` `interpolate(Model model, java.io.File projectDir, ProjectBuilderConfiguration config, boolean debugEnabled)`
`protected void` `interpolateObject(java.lang.Object obj, Model model, java.io.File projectDir, ProjectBuilderConfiguration config, boolean debugEnabled)`

### Methods inherited from class org.apache.maven.project.interpolation.AbstractStringBasedModelInterpolator

`createPostProcessors, createValueSources, getInterpolator, getRecursionInterceptor, initialize, interpolate, interpolate, interpolate, interpolateInternal, setRecursionInterceptor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringSearchModelInterpolator

    public StringSearchModelInterpolator()

#### StringSearchModelInterpolator

    public StringSearchModelInterpolator(PathTranslator pathTranslator)

### Method Detail

#### interpolate

    public Model interpolate(Model model,
                    java.io.File projectDir,
                    ProjectBuilderConfiguration config,
                    boolean debugEnabled)
                      throws ModelInterpolationException

Specified by:
  `interpolate` in interface `ModelInterpolator`
Overrides:
  `interpolate` in class `AbstractStringBasedModelInterpolator`
Throws:
  `ModelInterpolationException`

#### interpolateObject

    protected void interpolateObject(java.lang.Object obj,
                         Model model,
                         java.io.File projectDir,
                         ProjectBuilderConfiguration config,
                         boolean debugEnabled)
                              throws ModelInterpolationException

Throws:
  `ModelInterpolationException`

#### createInterpolator

    protected Interpolator createInterpolator()

Specified by:
  `createInterpolator` in class `AbstractStringBasedModelInterpolator`